## python-watchdog 0.8.3

=== Makefile ===
RM = rm -rf

PKG_NAME=watchdog

.PHONY: all clean distclean develop lint test upload-doc view-doc doc docs build dist release auto submodules push

all: build

help:
	@echo "Possible targets:"
	@echo "    test        - run testsuite"
	@echo "    doc(s)      - builds the documentation"
	@echo "    view-doc    - opens documentation in the browser"
	@echo "    upload-doc  - uploads the documentation to PyPI"
	@echo "    develop     - set up development environment"
	@echo "    clean       - clean up generated files"
	@echo "    release     - performs a release"
	@echo "    auto        - continuous builds"
	@echo "    push        - 'git push' to all hosted repositories"

release: clean test upload-doc
	python setup.py sdist upload

dist: clean
	python setup.py sdist

build: doc
	@bin/python setup.py build

doc-rebuild:
	@make -C docs/ clean
	@make SPHINXBUILD=../bin/sphinx-build -C docs/ html

docs: doc

doc: # develop
	@make SPHINXBUILD=../bin/sphinx-build -C docs/ html

upload-doc: doc
	@bin/python setup.py upload_docs --upload-dir=docs/build/html

view-doc: doc
	@bin/python -c "import webbrowser; webbrowser.open('docs/build/html/index.html')"

test: doc-rebuild
	@echo "You will need Coverage 3.5 and unittest2 or higher for this to work."
	@rm -rf htmlcov
	@bin/coverage erase
	@bin/coverage run run_tests.py
	@bin/coverage report -m
	@echo "HTML report generated in the 'htmlcov' directory."
	@bin/coverage html -d htmlcov

lint:
	@pylint $(PKG_NAME)

auto: tools/nosy.py
	@bin/python tools/nosy.py .

# Development environment targets and dependencies.
develop: submodules bin/python

submodules:
	@git submodule update --init --recursive

bin/buildout: buildout.cfg setup.py
	@python tools/bootstrap.py --distribute

bin/python: bin/buildout
	@bin/buildout

push:
	@echo "Pushing repository to remote:google"
	@git push google master
	@echo "Pushing repository to remote:origin"
	@git push origin master

clean:
	@make -C docs/ clean > /dev/null
	@$(RM) build/ *.egg-info/
	@find . \( \
		-iname "*.pyc" \
		-or -iname "*.pyo" \
		-or -iname "*.so" \
		-or -iname "*.o" \
		-or -iname "*~" \
		-or -iname "._*" \
		-or -iname "*.swp" \
		-or -iname "Desktop.ini" \
		-or -iname "Thumbs.db" \
		-or -iname "__MACOSX__" \
		-or -iname ".DS_Store" \
		\) -delete

distclean: clean
	@$(RM) \
		dist/ \
		bin/ \
		develop-eggs/ \
		eggs/ \
		parts/ \
		MANIFEST \
		htmlcov/ \
		.pythoscope/ \
		.coverage \
		.installed.cfg
include package.mk

## python-watchdog 0.7.0

=== debian/changelog ===
python-watchdog (0.7.0-1) unstable; urgency=low

  * Initial release. (Closes: #735481)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sun, 26 Jan 2014 10:29:40 -0300

=== debian/control ===
Source: python-watchdog
Section: python
Priority: optional
Maintainer: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-pathtools,
               python-setuptools,
               python-sphinx
Standards-Version: 3.9.5
Homepage: http://github.com/gorakhargosh/watchdog

Package: python-watchdog
Architecture: all
Depends: python-pathtools,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Suggests: python-argcomplete,
          python-argh,
          python-setuptools,
          python-yaml,
          ${python:Recommends}
Description: Python API and shell utilities to monitor file system events - python 2.x
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.
 Watchmedo depends on python-argh, python-yaml, python-argcomplete and
 python-setuptools, them are suggested.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_installchangelogs:
	if [ -e $(CURDIR)/debian/CHANGELOG ] ; then \
		dh_installchangelogs $(CURDIR)/debian/CHANGELOG ; \
	else \
		dh_installchangelogs ; \
	fi

override_dh_clean:
	dh_clean
	rm -rf docs/build

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man docs/source docs/build/man
	sed -i 's/.TH "WATCHDOG" "1"/.TH "WATCHDOG" "3"/g' docs/build/man/watchdog.1
	PYTHONPATH=. sphinx-build -b html docs/source $(CURDIR)/debian/python-watchdog/usr/share/doc/python-watchdog/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/w/watchdog watchdog-(.*).tar.gz

## python-watchdog 0.8.3

=== debian/changelog ===
python-watchdog (0.8.3-2) unstable; urgency=medium

  * Fix tests for Python 3. (Closes: #801726).

 -- Gustavo Panizzo <gfa@zumbi.com.ar>  Tue, 20 Oct 2015 16:45:08 +0800

python-watchdog (0.8.3-1) experimental; urgency=medium

  * New upstream release.
  * Packaging moved to git.
  * Provide a Python 3 package. (Closes: #776599)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 13 Apr 2015 11:03:08 +0800

python-watchdog (0.7.0-2) experimental; urgency=medium

  * Enable Python 3.
  * Change buildsystem to pybuild.
  * Add a simple patch to be able to build twice.
  * Updated standards version, no changes needed.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Mon, 02 Feb 2015 23:19:45 +0800

=== debian/control ===
Source: python-watchdog
Section: python
Priority: optional
Maintainer: Gustavo Panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-argh (>= 0.24.1),
               python-pathtools,
               python-pytest-cov,
               python-pytest-timeout,
               python-setuptools,
               python-sphinx,
               python-yaml,
               python3-all,
               python3-argh (>= 0.24.1),
               python3-pathtools,
               python3-pytest-cov,
               python3-pytest-timeout,
               python3-setuptools,
               python3-yaml
Standards-Version: 3.9.6
Homepage: http://github.com/gorakhargosh/watchdog
Vcs-Git: git://anonscm.debian.org/collab-maint/python-watchdog.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-watchdog.git;a=summary


Package: python-watchdog
Architecture: all
Depends: python,
         python-pathtools,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Suggests: ${python:Recommends}
Description: Python API and shell utilities to monitor file system events - Python 2.x
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.
 .
 This is the Python 2.X version.

Package: python3-watchdog
Architecture: all
Depends: python3,
         python3-pathtools,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: ${python3:Recommends}
Description: Python API and shell utilities to monitor file system events - Python 3.x
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.
 .
 This is the Python 3.X version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=watchdog

%:
	dh $@ --buildsystem=pybuild --with python3,python2,sphinxdoc

override_dh_installchangelogs:
	if [ -e $(CURDIR)/debian/CHANGELOG ] ; then \
		dh_installchangelogs $(CURDIR)/debian/CHANGELOG ; \
	else \
		dh_installchangelogs ; \
	fi

override_dh_clean:
	dh_clean
	rm -rf docs/build src/watchdog.egg-info

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man docs/source docs/build/man
	sed -i 's/.TH "WATCHDOG" "1"/.TH "WATCHDOG" "3"/g' docs/build/man/watchdog.1
	cp -f docs/build/man/watchdog.1 docs/build/man/watchdog3.1
	PYTHONPATH=. sphinx-build -b html docs/source $(CURDIR)/debian/python-watchdog/usr/share/doc/python-watchdog/html
	PYTHONPATH=. sphinx-build -b html docs/source $(CURDIR)/debian/python3-watchdog/usr/share/doc/python3-watchdog/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS


override_dh_install:
	mv debian/python3-watchdog/usr/bin/watchmedo debian/python3-watchdog/usr/bin/watchmedo3
	sed -i 's#/usr/bin/python[2-3]#/usr/bin/python2#' debian/python-watchdog/usr/bin/watchmedo
	sed -i 's#/usr/bin/python[2-3]#/usr/bin/python3#' debian/python3-watchdog/usr/bin/watchmedo3
	dh_install -O--buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/watchdog/watchdog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-watchdog 0.9.0

=== debian/changelog ===
python-watchdog (0.9.0-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replace of python-watchdog (Closes: #940494).

 -- Ondřej Nový <onovy@debian.org>  Mon, 16 Sep 2019 18:01:26 +0200

python-watchdog (0.9.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Use debhelper-compat instead of debian/compat.
  [ gustavo panizzo ]
  * [2a486c] Drop the Python 2 package
  * [fccdd0] Install watchmedo3 as watchmedo
  * [6b7f98] Use debhelper-compat 12
  * [734ff1] Install examples
  * [da976d] Remove unused licenses from d/copyright
  * [a8c5fd] Standards version 4.4.0
  * [58b5b5] Add a superficial autopkgtest
  * [7882ac] Add a DEP12 upstream metadata file

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 14 Sep 2019 18:31:27 +0000

python-watchdog (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Packaging moved under the umbrella of the DPMT, adopting its policy and
    dropping the previous git packaging repository.
  * [ab83af] Dropping old patches
  * [aa5f0a] Add d/gbp.conf
  * [c3d54a] Remove .pytest_cache in dh_clean
  * [7f1da6] Remove .coverage in dh_clean
  * [c3322c] Remove .pybuild in dh_clean
  * [173778] Remove generated upstream changelog
  * [acfd17] Remove tests that fail
  * [ff2e00] Increase the compat level
  * [81bbd9] Use a secure URI in the Homepage field
  * [a2dc03] Use python3-sphinx to build the documentation
  * [6cccfd] Use a secure URI for the copyright format url
  * [4ec5b5] Fix the ordering on d/copyright
  * [4aaac4] Bump the Standards Version, no changes required
  * [b6efc8] Use a secure uri in d/watch
  * [091a83] No longer remove src/watchdog.egg-info in dh_clean
  * [d21ac8] Remove non-existent entries from d/copyright
  * [ad8c05] Update copyright years
  * [5f9858] Remove trailing whitespaces from d/rules

 -- gustavo panizzo <gfa@zumbi.com.ar>  Sat, 01 Dec 2018 17:33:17 +0800

=== debian/control ===
Source: python-watchdog
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-sphinx,
               python3-all,
               python3-argh (>= 0.24.1),
               python3-pathtools,
               python3-pytest-cov,
               python3-pytest-timeout,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.4.0
Homepage: https://github.com/gorakhargosh/watchdog
Vcs-Git: https://salsa.debian.org/python-team/modules/python-watchdog.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-watchdog

Package: python3-watchdog
Architecture: all
Depends: python3,
         python3-pathtools,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: ${python3:Recommends}
Replaces: python-watchdog (<< 0.9.0-2)
Breaks: python-watchdog (<< 0.9.0-2)
Description: Python API and shell utilities to monitor file system events - Python 3.x
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.
 .
 This is the Python 3.X version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=watchdog

%:
	dh $@ --buildsystem=pybuild --verbose --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf docs/build .pytest_cache .coverage .pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man docs/source docs/build/man
	sed -i 's/.TH "WATCHDOG" "1"/.TH "WATCHDOG" "3"/g' docs/build/man/watchdog.1
	cp -f docs/build/man/watchdog.1 docs/build/man/watchdog3.1
	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python-watchdog/usr/share/doc/python-watchdog/html
	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python3-watchdog/usr/share/doc/python3-watchdog/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A AUTHORS

## python-watchdog 1.0.2

=== debian/changelog ===
python-watchdog (1.0.2-2) unstable; urgency=medium

  * Fix dependencies (closes: #982066)

 -- Julian Gilbey <jdg@debian.org>  Sat, 06 Feb 2021 19:59:54 +0000

python-watchdog (1.0.2-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julian Gilbey ]
  * New upstream version.
  * Bump Standards-Version to 4.5.1.
  * Support nodoc and nocheck build options

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Feb 2021 08:54:27 +0000

=== debian/control ===
Source: python-watchdog
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Julian Gilbey <jdg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-argh,
               python3-eventlet <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-yaml
Standards-Version: 4.5.1
Homepage: https://github.com/gorakhargosh/watchdog
Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchdog.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchdog

Package: python3-watchdog
Architecture: all
Depends: python3-argh,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Suggests: ${python3:Recommends}
Replaces: python-watchdog (<< 0.9.0-2)
Breaks: python-watchdog (<< 0.9.0-2)
Description: Python API and shell utilities to monitor file system events
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=watchdog

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	python3 -m sphinx -b man docs/source docs/build/man
	sed -i 's/.TH "WATCHDOG" "1"/.TH "WATCHDOG" "3"/g' docs/build/man/watchdog.1
	cp -f docs/build/man/watchdog.1 docs/build/man/watchdog3.1
	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python-watchdog/usr/share/doc/python-watchdog/html
	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python3-watchdog/usr/share/doc/python3-watchdog/html
	dh_sphinxdoc -O--buildsystem=pybuild

else
%:
	dh $@ --buildsystem=pybuild
endif

execute_after_dh_clean:
	rm -rf docs/build .pytest_cache .coverage .pybuild

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
execute_before_dh_auto_test:
	mv tests/test_fsevents.py tests/skip_test_fsevents.py
	mv tests/test_observers_winapi.py tests/skip_test_observers_winapi.py

execute_after_dh_auto_test:
	mv tests/skip_test_fsevents.py tests/test_fsevents.py
	mv tests/skip_test_observers_winapi.py tests/test_observers_winapi.py

endif

=== debian/tests/control ===
Test-Command: /usr/bin/watchmedo --version
Restrictions: superficial
Depends: @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/watchdog/watchdog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-watchdog 2.1.6

=== debian/changelog ===
python-watchdog (2.1.6-1) unstable; urgency=medium

  * New upstream version
  * Run the upstream tests at build time
  * Add more autopkgtest tests
  * Add brief manpage for watchmedo.

 -- Julian Gilbey <jdg@debian.org>  Sun, 28 Nov 2021 16:41:00 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-argh,
                python3-eventlet <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
+               python3-flaky <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-yaml
@@ -21,8 +21,7 @@
 
 Package: python3-watchdog
 Architecture: all
-Depends: python3-argh,
-         python3-yaml,
+Depends: python3-yaml,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,5 @@
 execute_after_dh_clean:
 	rm -rf docs/build .pytest_cache .coverage .pybuild
 
-ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-execute_before_dh_auto_test:
-	mv tests/test_fsevents.py tests/skip_test_fsevents.py
-	mv tests/test_observers_winapi.py tests/skip_test_observers_winapi.py
-
-execute_after_dh_auto_test:
-	mv tests/skip_test_fsevents.py tests/test_fsevents.py
-	mv tests/skip_test_observers_winapi.py tests/test_observers_winapi.py
-
-endif
+override_dh_auto_test:
+	dh_auto_test -O--buildsystem=pybuild -- --test-pytest

=== debian/tests/control ===
Test-Command: /usr/bin/watchmedo --version
Restrictions: superficial
Depends: @

Tests: pytest
Depends: @, python3-all, python3-eventlet, python3-pytest-cov,
 python3-pytest-timeout, python3-flaky

## python-watchdog 2.1.9

=== debian/changelog ===
python-watchdog (2.1.9-1) unstable; urgency=medium

  * New upstream version
  * Update d/watch format and d/copyright file dates

 -- Julian Gilbey <jdg@debian.org>  Mon, 04 Jul 2022 23:06:12 +0100

python-watchdog (2.1.8-1) unstable; urgency=medium

  * New upstream version
  * Add Rules-Requires-Root: no to d/control
  * Update Standards-Version

 -- Julian Gilbey <jdg@debian.org>  Thu, 26 May 2022 21:55:31 +0100

python-watchdog (2.1.7-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 05 Apr 2022 09:33:10 +0100

python-watchdog (2.1.6-2) unstable; urgency=medium

  * Fix autopkgtest script

 -- Julian Gilbey <jdg@debian.org>  Tue, 14 Dec 2021 18:38:53 +0000

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
                dh-sequence-python3,
                python3-all,
                python3-eventlet <!nocheck>,
+               python3-flaky <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-timeout <!nocheck>,
-               python3-flaky <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-yaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/gorakhargosh/watchdog
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchdog.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchdog

=== debian/rules ===
--- 
+++ 
@@ -23,4 +23,4 @@
 	rm -rf docs/build .pytest_cache .coverage .pybuild
 
 override_dh_auto_test:
-	dh_auto_test -O--buildsystem=pybuild -- --test-pytest
+	dh_auto_test -O--buildsystem=pybuild -- --test-pytest --test-args '-k "not test_unmount_watched_directory_filesystem"'

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/watchdog/watchdog-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-watchdog 2.2.1

=== debian/changelog ===
python-watchdog (2.2.1-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 18 Jan 2023 07:14:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
            Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                python3-all,
                python3-eventlet <!nocheck>,
                python3-flaky <!nocheck>,
@@ -14,7 +15,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/gorakhargosh/watchdog
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchdog.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 %:
-	dh $@ --with sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 	python3 -m sphinx -b man docs/source docs/build/man

## python-watchdog 3.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/watchdog.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/watchdog.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/watchdog"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/watchdog"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-watchdog (3.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Mon, 26 Jun 2023 23:11:04 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/gorakhargosh/watchdog/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## python-watchdog 5.0.0

=== debian/changelog ===
python-watchdog (5.0.0-1~bpo12+1) UNRELEASED; urgency=medium

  * bookworm-backports Rebuilt for bookworm.

 -- Julian Gilbey <jdg@debian.org>  Mon, 09 Sep 2024 09:13:19 +0000

python-watchdog (5.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Aug 2024 22:20:31 +0100

## python-watchdog 6.0.0

=== debian/changelog ===
python-watchdog (6.0.0-3) unstable; urgency=medium

  * Team Upload
  * d/watch: switch to v5
  * Split-out the documentation package
    to avoid libjs-sphinxdoc on embedded targets
  * Copyright review before NEW processing

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 Oct 2025 13:47:27 +0200

python-watchdog (6.0.0-2) unstable; urgency=medium

  * Team Upload
  * Remove python2 leftover (Closes: #1045837)
  * Remove Emeritus Developer, thank you (Closes: #1114577)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Oct 2025 14:04:22 +0200

python-watchdog (6.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 18:47:44 +0000

=== debian/control ===
Source: python-watchdog
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Julian Gilbey <jdg@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-eventlet <!nocheck>,
 python3-flaky <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-yaml,
Standards-Version: 4.7.2
Homepage: https://github.com/gorakhargosh/watchdog
Vcs-Git: https://salsa.debian.org/python-team/packages/python-watchdog.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-watchdog

Package: python3-watchdog
Architecture: all
Depends:
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-watchdog-doc,
Description: Python API and shell utilities to monitor file system events
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.

Package: python-watchdog-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python API and shell utilities to monitor file system events - doc
 Watchdog comes with a utility script called watchmedo. It can be used to
 execute commands in response to events.
 .
 This is the documentation package

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=watchdog

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_sphinxdoc:
	python3 -m sphinx -b man docs/source docs/build/man
	sed -i 's/.TH "WATCHDOG" "1"/.TH "WATCHDOG" "3"/g' docs/build/man/watchdog.1
	cp -f docs/build/man/watchdog.1 docs/build/man/watchdog3.1
	PYTHONPATH=. python3 -m sphinx -b html docs/source $(CURDIR)/debian/python-watchdog-doc/usr/share/doc/python-watchdog-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

execute_after_dh_clean:
	rm -rf docs/build .pytest_cache .coverage .pybuild

override_dh_auto_test:
	# One test opens a lot of files
	ulimit -n 2100 && dh_auto_test -O--buildsystem=pybuild -- --test-pytest --test-args '-k "not test_unmount_watched_directory_filesystem"'

=== debian/tests/control ===
Test-Command: /usr/bin/watchmedo --version
Restrictions:
 superficial,
Depends:
 @,

Tests:
 pytest,
Depends:
 python3-all,
 python3-eventlet,
 python3-flaky,
 python3-pytest-cov,
 python3-pytest-timeout,
 @,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: gorakhargosh
Project: watchdog
